Show / Hide Table of Contents

# Enum ActivityProperties

Flags for the Flags property, that are ORd together. These describe what the activity payload includes.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    [Flags]
    public enum ActivityProperties

### Fields

Name | Description
--- | ---
Instance |
Join | Indicates that this activity can be joined.
JoinRequest | Indicates that a user may request to join an activity.
None | Indicates that no actions on this activity can be taken.
Play | Indicates that a user can play this song.
Spectate | Indicates that this activity can be spectated.
Sync | Indicates that a user can listen along in Spotify.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()